AIC7XXX_ASM(1)

NAME
aic7xxx_asm - Assembler for the Adaptec aic7xxx family of asics

SYNOPSIS
aic7xxx_asm [-d] [-D variable=value] [-v] [-o file] source-file

DESCRIPTION
The Adaptec aic7xxx family of asics are single chip SCSI controllers with a RISC like command processor. This assembler parses the language outlined in the Adaptec technical document and produces ascii output intended for a C byte array.

The aic7xxx assembler is required to compile kernels with aic7xxx SCSI adaptor support (AHA-274x, AHA-284x, AHA-294x controllers) and is compiled, installed, and used automatically in the kernel compile directory when necessary.

The options are as follows:

-D variable=value
    Define variable to be value in the global context

-d  Turn on debugging

-v  Print version information

-o file
    Redirect assembler output to file

AUTHOR
This aic7770 assembler was written by John Aycock (aycock@cpsc.ucalgary.ca)